<template>
    <div class="contactList">
        <h1>Agenda</h1>
        <div class="inputsearch">
            <input type="text" v-model="searchContact" placeholder="Search contacts..." />
        </div>
        <div class="contacts">
            <ContactItem
                v-for="(contact, index) in findContact"
                :key="index"
                :simpleContact="contact"
                @click-to-info="onClick"
            />
            <div class="message" v-if="contacts.length === 0">
                <h1>Empty list</h1>
            </div>
        </div>
        <div class="buttonAdd">
            <button @click="addContact">+</button>
        </div>
    </div>
</template>
 
<script>
import ContactItem from '@/components/ContactItem.vue'
export default {
    name: 'ContactList',
    components: {
        ContactItem,
    },
    data() {
        return {
            searchContact: '',
        }
    },
    props: {
        msg: {
            propType: String,
            required: true,
        },
        contacts: {
            propType: Array,
            required: true,
        },
    },
    methods: {
        onClick(contact) {
            this.$emit('click-to-info', contact)
        },
        addContact() {
            this.$emit('activate-add-screen')
        },
    },
    computed: {
        findContact: function() {
            return this.contacts.filter(contact =>
                contact.name
                    .toLowerCase()
                    .includes(this.searchContact.toLowerCase())
            )
        },
    },
}
</script>
 
<style scoped>
* {
    font-family: 'Roboto';
}
input {
    border: none;
    background: #cdcdcd29;
    padding: 0.7rem;
    letter-spacing: 1px;
    font-size: 0.9rem;
    margin-bottom: 1rem;
}

.contacts {
    height: 19rem;
    overflow: auto;
    text-align: left;
    font-size: 0.8rem;
}

.contactList {
    padding: 2.3rem 3.3rem;
    border-radius: 2rem;
    background: white;
    -webkit-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ccccccb8;
    -moz-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ccccccb8;
    box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ccccccb8;
    margin-bottom: 1rem;
    width: 19rem;
}
.buttonAdd {
    display: flex;
    justify-content: right;
}
button:focus {
    outline: none;
}
button {
    font-size: 2rem;
    border: none;
    border-radius: 200%;
    cursor: pointer;
    background: rgba(103, 156, 137, 0.6);
    padding: 0.7rem 1.4rem;
    margin-top: 2rem;
    color: white;
}
button:hover {
    background: rgba(103, 156, 137, 0.9);
}
@media only screen and (max-width: 600px) {
    .contactList {
        padding: 0;
        -webkit-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ffffff;
        -moz-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ffffff;
        box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ffffff;
        margin-left: 1.5rem;
    }
}
</style>
